docs

# SwitchInlineQueryCurrentChatInlineKeyboardButton

data class SwitchInlineQueryCurrentChatInlineKeyboardButton (val text: String , val switchInlineQueryCurrentChat: String ) : InlineKeyboardButton
Content copied to clipboard

Complex button with switchInlineQueryCurrentChat which will be sent to you in an dev.inmo.tgbotapi.types.InlineQueries.query.InlineQuery which you may catch in dev.inmo.tgbotapi.extensions.behaviour_builder.triggers_handling.onBaseInlineQuery and get from dev.inmo.tgbotapi.types.InlineQueries.query.BaseInlineQuery.query (or changed by user query in case he will be the fastest hand in the wild west). Can be forwarded in any chat with message in case if it is the only one button in message, but will be converted to a SwitchInlineQueryInlineKeyboardButton. Remember that clicking on this button will automatically insert username of this bot in current chat, paste switchInlineQueryCurrentChat as a query and create and inline request to your bot Visit https://core.telegram.org/bots/api#inlinekeyboardbutton for more info

## Constructors

SwitchInlineQueryCurrentChatInlineKeyboardButton
Link copied to clipboard
fun SwitchInlineQueryCurrentChatInlineKeyboardButton (text: String , switchInlineQueryCurrentChat: String )
Content copied to clipboard

## Properties

switchInlineQueryCurrentChat
Link copied to clipboard
val switchInlineQueryCurrentChat : String
Content copied to clipboard
text
Link copied to clipboard
open override val text : String
Content copied to clipboard